libcamera::V4L2ControlId Class Reference

V4L2 control static metadata. More...

Inheritance diagram for libcamera::V4L2ControlId:

## Public Member Functions

| V4L2ControlId (const struct v4l2_query_ext_ctrl &ctrl)
| Construct a V4L2ControlId from a struct v4l2_query_ext_ctrl. More...
Public Member Functions inherited from libcamera::ControlId
| ControlId (unsigned int id, const std::string &name, ControlType type)
| Construct a ControlId instance. More...
unsigned int | id () const
| Retrieve the control numerical ID. More...
const std::string & | name () const
| Retrieve the control name. More...
ControlType | type () const
| Retrieve the control data type. More...

## Detailed Description

V4L2 control static metadata.

The V4L2ControlId class is a specialisation of the ControlId for V4L2 controls.

## Constructor & Destructor Documentation

## V4L2ControlId()

libcamera::V4L2ControlId::V4L2ControlId | ( | const struct v4l2_query_ext_ctrl & | ctrl | ) |

Construct a V4L2ControlId from a struct v4l2_query_ext_ctrl.

Parameters

  [in] | ctrl | The struct v4l2_query_ext_ctrl as returned by the kernel

The documentation for this class was generated from the following files:

- include/libcamera/internal/v4l2_controls.h
- src/libcamera/v4l2_controls.cpp